Package: org.codehaus.groovy.classgen.asm

## [Java] Class DelegatingController

- org.codehaus.groovy.classgen.asm.DelegatingController

- This class will delegate all calls to a WriterController given in the constructor.

  Authors:
    Jochen "blackdrag" Theodorou

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class WriterController` | `optimizeForInt`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DelegatingController (WriterController normalController)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AsmClassGenerator` | `getAcg()`
    `AssertionWriter` | `getAssertionWriter()`
    `BinaryExpressionHelper` | `getBinaryExpressionHelper()`
    `int` | `getBytecodeVersion()`
    `CallSiteWriter` | `getCallSiteWriter()`
    `String` | `getClassName()`
    `ClassNode` | `getClassNode()`
    `org.objectweb.asm.ClassVisitor` | `getClassVisitor()`
    `ClosureWriter` | `getClosureWriter()`
    `CompileStack` | `getCompileStack()`
    `ConstructorNode` | `getConstructorNode()`
    `GeneratorContext` | `getContext()`
    `org.objectweb.asm.ClassVisitor` | `getCv()`
    `InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()`
    `String` | `getInternalBaseClassName()`
    `String` | `getInternalClassName()`
    `InvocationWriter` | `getInvocationWriter()`
    `int` | `getLineNumber()`
    `MethodNode` | `getMethodNode()`
    `org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
    `OperandStack` | `getOperandStack()`
    `ClassNode` | `getOutermostClass()`
    `ClassNode` | `getReturnType()`
    `SourceUnit` | `getSourceUnit()`
    `StatementWriter` | `getStatementWriter()`
    `TypeChooser` | `getTypeChooser()`
    `UnaryExpressionHelper` | `getUnaryExpressionHelper()`
    `void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
    `boolean` | `isConstructor()`
    `boolean` | `isFastPath()`
    `boolean` | `isInClosure()`
    `boolean` | `isInClosureConstructor()`
    `boolean` | `isInScriptBody()`
    `boolean` | `isNotClinit()`
    `boolean` | `isNotExplicitThisInClosure(boolean implicitThis)`
    `boolean` | `isStaticConstructor()`
    `boolean` | `isStaticContext()`
    `boolean` | `isStaticMethod()`
    `void` | `resetLineNumber()`
    `void` | `setConstructorNode(ConstructorNode cn)`
    `void` | `setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)`
    `void` | `setLineNumber(int n)`
    `void` | `setMethodNode(MethodNode mn)`
    `void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)`
    `boolean` | `shouldOptimizeForInt()`
    `void` | `switchToFastPath()`
    `void` | `switchToSlowPath()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class WriterController` | `getAcg, getAssertionWriter, getBinaryExpressionHelper, getBytecodeVersion, getCallSiteWriter, getClassName, getClassNode, getClassVisitor, getClosureWriter, getCompileStack, getConstructorNode, getContext, getCv, getInterfaceClassLoadingClass, getInternalBaseClassName, getInternalClassName, getInvocationWriter, getLineNumber, getMethodNode, getMethodVisitor, getOperandStack, getOutermostClass, getReturnType, getSourceUnit, getStatementWriter, getTypeChooser, getUnaryExpressionHelper, init, isConstructor, isFastPath, isInClosure, isInClosureConstructor, isInScriptBody, isNotClinit, isNotExplicitThisInClosure, isStaticConstructor, isStaticContext, isStaticMethod, resetLineNumber, setConstructorNode, setInterfaceClassLoadingClass, setLineNumber, setMethodNode, setMethodVisitor, shouldOptimizeForInt, switchToFastPath, switchToSlowPath`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DelegatingController(WriterController normalController)

  - ### Method Detail

    - #### @Override public AsmClassGenerator getAcg()

    - #### @Override public AssertionWriter getAssertionWriter()

    - #### @Override public BinaryExpressionHelper getBinaryExpressionHelper()

    - #### @Override public int getBytecodeVersion()

    - #### @Override public CallSiteWriter getCallSiteWriter()

    - #### @Override public String getClassName()

    - #### @Override public ClassNode getClassNode()

    - #### @Override public org.objectweb.asm.ClassVisitor getClassVisitor()

    - #### @Override public ClosureWriter getClosureWriter()

    - #### @Override public CompileStack getCompileStack()

    - #### @Override public ConstructorNode getConstructorNode()

    - #### @Override public GeneratorContext getContext()

    - #### @Override public org.objectweb.asm.ClassVisitor getCv()

    - #### @Override public InterfaceHelperClassNode getInterfaceClassLoadingClass()

    - #### @Override public String getInternalBaseClassName()

    - #### @Override public String getInternalClassName()

    - #### @Override public InvocationWriter getInvocationWriter()

    - #### @Override public int getLineNumber()

    - #### @Override public MethodNode getMethodNode()

    - #### @Override public org.objectweb.asm.MethodVisitor getMethodVisitor()

    - #### @Override public OperandStack getOperandStack()

    - #### @Override public ClassNode getOutermostClass()

    - #### @Override public ClassNode getReturnType()

    - #### @Override public SourceUnit getSourceUnit()

    - #### @Override public StatementWriter getStatementWriter()

    - #### @Override public TypeChooser getTypeChooser()

    - #### @Override public UnaryExpressionHelper getUnaryExpressionHelper()

    - #### @Override public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

    - #### @Override public boolean isConstructor()

    - #### @Override public boolean isFastPath()

    - #### @Override public boolean isInClosure()

    - #### @Override public boolean isInClosureConstructor()

    - #### @Override public boolean isInScriptBody()

    - #### @Override public boolean isNotClinit()

    - #### @Override public boolean isNotExplicitThisInClosure(boolean implicitThis)

    - #### @Override public boolean isStaticConstructor()

    - #### @Override public boolean isStaticContext()

    - #### @Override public boolean isStaticMethod()

    - #### @Override public void resetLineNumber()

    - #### @Override public void setConstructorNode(ConstructorNode cn)

    - #### @Override public void setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)

    - #### @Override public void setLineNumber(int n)

    - #### @Override public void setMethodNode(MethodNode mn)

    - #### @Override public void setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)

    - #### @Override public boolean shouldOptimizeForInt()

    - #### @Override public void switchToFastPath()

    - #### @Override public void switchToSlowPath()